GETCHAR(3P)

NAME
getchar - get a byte from a stdin stream

SYNOPSIS

#include <stdio.h>

int getchar(void);

DESCRIPTION

The getchar() function shall be equivalent to getc(stdin).

RETURN VALUE

Refer to fgetc() .

ERRORS

Refer to fgetc() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

If the integer value returned by getchar() is stored into a variable of type char and then compared against the integer constant EOF, the comparison may never succeed, because sign-extension of a variable of type char on widening to integer is implementation-defined.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

getc() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .